## org.eclipse.amp.amf.testing.ares.presentation
Class OpenATestHandler

    java.lang.Object
      org.eclipse.core.commands.common.EventManager
          org.eclipse.core.commands.AbstractHandler
              org.eclipse.amp.amf.testing.ares.presentation.OpenATestHandler

All Implemented Interfaces:
  org.eclipse.core.commands.IHandler, org.eclipse.core.commands.IHandler2

    public class OpenATestHandler

extends org.eclipse.core.commands.AbstractHandler

Author:
  mparker

Constructor Summary
`OpenATestHandler()`

Method Summary
`java.lang.Object` `execute(org.eclipse.core.commands.ExecutionEvent event)`
`boolean` `isEnabled()`

Methods inherited from class org.eclipse.core.commands.AbstractHandler
`addHandlerListener, dispose, isHandled, removeHandlerListener, setEnabled`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OpenATestHandler

    public OpenATestHandler()

Method Detail

### execute

    public java.lang.Object execute(org.eclipse.core.commands.ExecutionEvent event)
                             throws org.eclipse.core.commands.ExecutionException

  Throws:
    `org.eclipse.core.commands.ExecutionException`

### isEnabled

    public boolean isEnabled()

  Specified by:
    `isEnabled` in interface `org.eclipse.core.commands.IHandler`
  Overrides:
    `isEnabled` in class `org.eclipse.core.commands.AbstractHandler`